OutgoingDataQueueBase Class Reference
Base classes for RTP queues.

`#include <queuebase.h>`

Inheritance diagram for OutgoingDataQueueBase:

## Public Member Functions

size_t | getDefaultMaxSendSegmentSize ()
void | setMaxSendSegmentSize (size_t size)
| Set maximum payload segment size before fragmenting sends. More...
size_t | getMaxSendSegmentSize ()
Public Member Functions inherited from RTPQueueBase
bool | setPayloadFormat (const PayloadFormat &pf)
| Set the payload format in use, for timing and payload type identification purposes. More...
uint32 | getLocalSSRC () const
uint32 | getCurrentRTPClockRate () const
| Get the clock rate in RTP clock units (for instance, 8000 units per second for PCMU, or 90000 units per second for MP2T). More...
PayloadType | getCurrentPayloadType () const
timeval | getInitialTime () const

## Protected Member Functions

| OutgoingDataQueueBase ()
virtual | ~OutgoingDataQueueBase ()
Protected Member Functions inherited from RTPQueueBase
| RTPQueueBase (uint32 *ssrc=NULL)
void | setLocalSSRC (uint32 ssrc)
uint32 | getLocalSSRCNetwork () const
virtual | ~RTPQueueBase ()
virtual size_t | dispatchBYE (const std::string &)
| A plugin point for posting of BYE messages. More...
virtual void | renewLocalSSRC ()

## Detailed Description

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

OutgoingDataQueueBase::OutgoingDataQueueBase | ( |  | ) |

protected

virtual OutgoingDataQueueBase::~OutgoingDataQueueBase | ( |  | ) |

inline protected virtual

## Member Function Documentation

size_t OutgoingDataQueueBase::getDefaultMaxSendSegmentSize | ( |  | ) |

inline

size_t OutgoingDataQueueBase::getMaxSendSegmentSize | ( |  | ) |

inline

void OutgoingDataQueueBase::setMaxSendSegmentSize | ( | size_t | size | ) |

inline

Set maximum payload segment size before fragmenting sends.

Parameters

  size | Maximum payload size.

Returns
  Whether segment size was successfully set.

The documentation for this class was generated from the following file:

- queuebase.h